Staff Portal API
APIs used by the Staff Portal UI
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /registry-config/create_registry_configuration HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 353
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"registry_name": "text",
"registry_logo": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"configuration_id": "text",
"registry_name": "text",
"registry_logo": "text"
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /registry-config/get_registry_configuration HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 308
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"configuration_id": "text",
"registry_name": "text",
"registry_logo": "text"
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /registry-config/update_registry_configuration HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 379
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"configuration_id": "text",
"registry_name": "text",
"registry_logo": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"configuration_id": "text",
"registry_name": "text",
"registry_logo": "text"
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /registry-config/get_number_of_requests_pending HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 308
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"number_of_requests_pending": 1
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /registry-config/get_earliest_pending_change_request HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 308
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"change_request_id": "text",
"register_id": "text",
"tab_id": "text",
"internal_record_id": "text",
"section_id": "text",
"source_partner_id": "text",
"created_by": "text",
"created_at": "text",
"no_of_verifications_required": 1,
"no_of_verifications_done": 1,
"approval_status": "text",
"change_payload": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}
}Create a new register definition and null register schema record.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/create_register HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 510
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_mnemonic": "text",
"register_description": "text",
"master_register_id": "text",
"dedup_is_enabled": false,
"dedup_threshold_score": 1,
"register_icon": "text",
"register_rank": 1,
"register_purpose": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"register_id": "text",
"register_mnemonic": "text",
"register_subject": "text",
"register_description": "text",
"master_register_id": "text",
"register_purpose": "text",
"register_rank": 1,
"register_icon": "text"
}
}
}Edit an existing register definition. If the register has data, only mnemonic and description can be edited.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/edit_register HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 530
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text",
"register_mnemonic": "text",
"register_description": "text",
"master_register_id": "text",
"dedup_is_enabled": true,
"dedup_threshold_score": 1,
"register_icon": "text",
"register_rank": 1,
"register_purpose": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"register_id": "text",
"register_mnemonic": "text",
"register_subject": "text",
"register_description": "text",
"master_register_id": "text",
"register_purpose": "text",
"register_rank": 1,
"register_icon": "text"
}
}
}Delete a register definition if it has no data.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/delete_register HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 328
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"register_id": "text",
"register_mnemonic": "text",
"register_subject": "text",
"register_description": "text",
"master_register_id": "text",
"register_purpose": "text",
"register_rank": 1,
"register_icon": "text"
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/get_all_registers HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 308
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"register_id": "text",
"register_mnemonic": "text",
"register_subject": "text",
"register_description": "text",
"master_register_id": "text",
"register_purpose": "text",
"register_rank": 1,
"register_icon": "text",
"master_register_mnemonic": "text",
"has_data": false,
"program_id": "text",
"program_mnemonic": "text",
"has_image": false,
"dedup_is_enabled": false,
"dedup_threshold_score": 1
}
]
}
}Get all registers for dashboard display (clone of get_all_registers)
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/get_dashboard_registers HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 308
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"register_id": "text",
"register_mnemonic": "text",
"register_subject": "text",
"register_description": "text",
"master_register_id": "text",
"register_purpose": "text",
"register_rank": 1,
"register_icon": "text"
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/get_child_registers HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 328
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"register_id": "text",
"register_mnemonic": "text",
"register_subject": "text",
"register_description": "text"
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/get_master_register HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 328
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"register_id": "text",
"register_mnemonic": "text",
"register_subject": "text",
"register_description": "text",
"master_register_id": "text",
"register_purpose": "text",
"register_rank": 1,
"register_icon": "text"
}
}
}Get register schema configuration for a given register_id.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/get_register_schema HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 328
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"register_id": "text",
"deduplicate_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"search_result_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"filter_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
]
}
}
}Update an existing register schema configuration for a given register_id.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/update_register_schema HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 511
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text",
"deduplicate_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"search_result_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"filter_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
]
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"register_id": "text",
"deduplicate_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"search_result_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"filter_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
]
}
}
}Update the dedup_is_enabled flag for a register.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/update_dedup_is_enabled HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 352
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text",
"dedup_is_enabled": true
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"register_id": "text",
"deduplicate_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"search_result_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"filter_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
]
}
}
}Update the dedup_threshold_score for a register.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/update_dedup_threshold_score HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 354
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text",
"dedup_threshold_score": 1
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"register_id": "text",
"deduplicate_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"search_result_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"filter_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
]
}
}
}Update the deduplicate_schema for a register.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/update_deduplication_schema HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 390
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text",
"deduplicate_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
]
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"register_id": "text",
"deduplicate_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"search_result_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"filter_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
]
}
}
}Update the search_result_schema for a register.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/update_search_result_schema HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 392
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text",
"search_result_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
]
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"register_id": "text",
"deduplicate_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"search_result_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"filter_schema": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
]
}
}
}Get all sections for a given register_id.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/get_register_sections HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 328
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"section_register_id": "text",
"register_id": "text",
"section_id": "text",
"tab_id": "text",
"section_mnemonic": "text",
"section_description": "text",
"documents_required": false,
"no_of_verifications_required": 0,
"auto_approval": false,
"cr_auto_approve_for_bene_portal": false,
"cr_auto_approve_for_agent_portal": false,
"cr_auto_approve_for_staff_portal": false,
"cr_auto_approve_for_partner": false,
"cr_auto_approve_for_intake_form": false,
"is_list": false,
"register_purpose": "text",
"is_primary_section": false,
"section_order": 0,
"section_ui_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"register_relation": "SELF"
}
]
}
}Get all sections for a given register_id and tab_id with pagination.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/get_register_tab_sections HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 344
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text",
"tab_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"section_register_id": "text",
"register_id": "text",
"section_id": "text",
"tab_id": "text",
"section_mnemonic": "text",
"section_description": "text",
"documents_required": false,
"no_of_verifications_required": 0,
"auto_approval": false,
"cr_auto_approve_for_bene_portal": false,
"cr_auto_approve_for_agent_portal": false,
"cr_auto_approve_for_staff_portal": false,
"cr_auto_approve_for_partner": false,
"cr_auto_approve_for_intake_form": false,
"is_list": false,
"register_purpose": "text",
"is_primary_section": false,
"section_order": 0,
"section_ui_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"register_relation": "SELF"
}
]
}
}Add a new section for a given register_id.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/add_register_section HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 810
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"section_register_id": "text",
"register_id": "text",
"tab_id": "text",
"section_mnemonic": "text",
"section_description": "text",
"documents_required": false,
"no_of_verifications_required": 0,
"auto_approval": false,
"cr_auto_approve_for_bene_portal": false,
"cr_auto_approve_for_agent_portal": false,
"cr_auto_approve_for_staff_portal": false,
"cr_auto_approve_for_partner": false,
"cr_auto_approve_for_intake_form": false,
"is_list": false,
"is_primary_section": false,
"section_ui_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"section_register_id": "text",
"register_id": "text",
"section_id": "text",
"tab_id": "text",
"section_mnemonic": "text",
"section_description": "text",
"documents_required": false,
"no_of_verifications_required": 0,
"auto_approval": false,
"cr_auto_approve_for_bene_portal": false,
"cr_auto_approve_for_agent_portal": false,
"cr_auto_approve_for_staff_portal": false,
"cr_auto_approve_for_partner": false,
"cr_auto_approve_for_intake_form": false,
"is_list": false,
"register_purpose": "text",
"is_primary_section": false,
"section_order": 0,
"section_ui_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"register_relation": "SELF"
}
}
}Delete a section by section_id.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/delete_register_section HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 327
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"section_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"section_register_id": "text",
"register_id": "text",
"section_id": "text",
"tab_id": "text",
"section_mnemonic": "text",
"section_description": "text",
"documents_required": false,
"no_of_verifications_required": 0,
"auto_approval": false,
"cr_auto_approve_for_bene_portal": false,
"cr_auto_approve_for_agent_portal": false,
"cr_auto_approve_for_staff_portal": false,
"cr_auto_approve_for_partner": false,
"cr_auto_approve_for_intake_form": false,
"is_list": false,
"register_purpose": "text",
"is_primary_section": false,
"section_order": 0,
"section_ui_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"register_relation": "SELF"
}
}
}Update a section's metadata (not including UI schema).
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/update_register_section HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 681
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"section_id": "text",
"section_mnemonic": "text",
"section_description": "text",
"no_of_verifications_required": 1,
"documents_required": true,
"auto_approval": true,
"cr_auto_approve_for_bene_portal": true,
"cr_auto_approve_for_agent_portal": true,
"cr_auto_approve_for_staff_portal": true,
"cr_auto_approve_for_partner": true,
"cr_auto_approve_for_intake_form": true,
"is_primary_section": true
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"section_register_id": "text",
"register_id": "text",
"section_id": "text",
"tab_id": "text",
"section_mnemonic": "text",
"section_description": "text",
"documents_required": false,
"no_of_verifications_required": 0,
"auto_approval": false,
"cr_auto_approve_for_bene_portal": false,
"cr_auto_approve_for_agent_portal": false,
"cr_auto_approve_for_staff_portal": false,
"cr_auto_approve_for_partner": false,
"cr_auto_approve_for_intake_form": false,
"is_list": false,
"register_purpose": "text",
"is_primary_section": false,
"section_order": 0,
"section_ui_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"register_relation": "SELF"
}
}
}Update a section's UI schema.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/update_register_section_ui_schema HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 407
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text",
"section_id": "text",
"section_ui_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"section_register_id": "text",
"register_id": "text",
"section_id": "text",
"tab_id": "text",
"section_mnemonic": "text",
"section_description": "text",
"documents_required": false,
"no_of_verifications_required": 0,
"auto_approval": false,
"cr_auto_approve_for_bene_portal": false,
"cr_auto_approve_for_agent_portal": false,
"cr_auto_approve_for_staff_portal": false,
"cr_auto_approve_for_partner": false,
"cr_auto_approve_for_intake_form": false,
"is_list": false,
"register_purpose": "text",
"is_primary_section": false,
"section_order": 0,
"section_ui_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"register_relation": "SELF"
}
}
}Get UI schema for a specific section.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/get_register_section_ui_schema HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 327
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"section_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"section_id": "text",
"section_ui_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}
}Get all UI tabs for a given register_id with pagination.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/get_register_tabs HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 360
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text",
"used_for_new_intake_form": true
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"tab_id": "text",
"register_id": "text",
"tab_label": "text",
"tab_order": 1,
"used_for_new_intake_form": false,
"no_of_verifications_required": 0,
"intake_form_name": "text",
"intake_form_description": "text",
"intake_form_auto_approve": false,
"is_active": true
}
]
}
}Add a new UI tab for a given register_id.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/add_register_tab HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 536
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text",
"tab_label": "text",
"tab_order": 0,
"used_for_new_intake_form": false,
"no_of_verifications_required": 0,
"intake_form_name": "text",
"intake_form_description": "text",
"intake_form_auto_approve": false,
"is_active": true
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"tab_id": "text",
"register_id": "text",
"tab_label": "text",
"tab_order": 1,
"used_for_new_intake_form": false,
"no_of_verifications_required": 0,
"intake_form_name": "text",
"intake_form_description": "text",
"intake_form_auto_approve": false,
"is_active": true
}
}
}Delete a UI tab by tab_id.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/delete_register_tab HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 323
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"tab_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"tab_id": "text",
"register_id": "text",
"tab_label": "text",
"tab_order": 1,
"used_for_new_intake_form": false,
"no_of_verifications_required": 0,
"intake_form_name": "text",
"intake_form_description": "text",
"intake_form_auto_approve": false,
"is_active": true
}
}
}Edit an existing UI tab.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-metadata/edit_register_tab HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 529
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"tab_id": "text",
"tab_label": "text",
"tab_order": 1,
"used_for_new_intake_form": true,
"no_of_verifications_required": 1,
"intake_form_name": "text",
"intake_form_description": "text",
"intake_form_auto_approve": true,
"is_active": true
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"tab_id": "text",
"register_id": "text",
"tab_label": "text",
"tab_order": 1,
"used_for_new_intake_form": false,
"no_of_verifications_required": 0,
"intake_form_name": "text",
"intake_form_description": "text",
"intake_form_auto_approve": false,
"is_active": true
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /vc-config/get_vc_configuration_for_register HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 430
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"vc_config_id": "text",
"register_id": "text",
"vc_mnemonic": "text",
"descriptor_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"vc_config_id": "text",
"register_id": "text",
"vc_mnemonic": "text",
"descriptor_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /vc-config/get_all_vc_configurations HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 430
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"vc_config_id": "text",
"register_id": "text",
"vc_mnemonic": "text",
"descriptor_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"vc_config_id": "text",
"register_id": "text",
"vc_mnemonic": "text",
"descriptor_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /vc-config/create_vc_configuration HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 430
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"vc_config_id": "text",
"register_id": "text",
"vc_mnemonic": "text",
"descriptor_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"vc_config_id": "text",
"register_id": "text",
"vc_mnemonic": "text",
"descriptor_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /vc-config/edit_descriptor_schema HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 430
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"vc_config_id": "text",
"register_id": "text",
"vc_mnemonic": "text",
"descriptor_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"vc_config_id": "text",
"register_id": "text",
"vc_mnemonic": "text",
"descriptor_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /vc-config/remove_vc_configuration HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 430
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"vc_config_id": "text",
"register_id": "text",
"vc_mnemonic": "text",
"descriptor_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"vc_config_id": "text",
"register_id": "text",
"vc_mnemonic": "text",
"descriptor_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-data/get_number_of_versions HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 372
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text",
"internal_record_id": "text",
"tab_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"register_id": "text",
"internal_record_id": "text",
"tab_id": "text",
"number_of_versions": 1,
"last_updated_by": "text",
"last_updated_at": "2026-01-01T00:00:00.000Z",
"last_approved_by": "text",
"last_approved_at": "2026-01-01T00:00:00.000Z"
}
}
}Get the history records for a given register, internal_record_id and tab_id. Returns all historical versions of the record, ordered by approved_at descending.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-data/get_record_history HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 372
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text",
"internal_record_id": "text",
"tab_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"register_id": "text",
"internal_record_id": "text",
"tab_id": "text",
"history_records": [
{
"history_record_id": "text",
"internal_record_id": "text",
"change_request_id": "text",
"tab_id": "text",
"section_id": "text",
"is_primary_section": false,
"submission_id": "text",
"change_request_source": "text",
"created_by": "text",
"created_at": "text",
"approved_by": "text",
"approved_at": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
}
]
}
}
}Get unique truncated dates from history records for a given register, internal_record_id and tab_id. Returns a list of unique dates (YYYY-MM-DD format) based on created_at of history records.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-data/get_version_dates HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 372
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text",
"internal_record_id": "text",
"tab_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"register_id": "text",
"internal_record_id": "text",
"tab_id": "text",
"version_dates": [
"text"
]
}
}
}Get changes from history records for a given register, internal_record_id, tab_id and specific date. Returns a list of change_request_id, section_id, section_mnemonic, and created_at.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-data/get_versions_for_a_date HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 404
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text",
"internal_record_id": "text",
"tab_id": "text",
"truncated_created_date": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"register_id": "text",
"internal_record_id": "text",
"tab_id": "text",
"truncated_created_date": "text",
"section_id": "text",
"section_mnemonic": "text",
"changes": [
{
"change_request_id": "text",
"created_at": "text"
}
]
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-data/get_subject_record HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 363
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"subject_register_id": "text",
"subject_record_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}Get deduplication results for a change request against register records.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-data/get_deduplication_register_results HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 334
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"change_request_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"results": [
{
"dedup_result_id": "text",
"change_request_id": "text",
"internal_record_id": "text",
"match_score": 1,
"field_matches": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"created_at": "text"
}
]
}
}
}Get deduplication results for a change request against other change requests.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-data/get_deduplication_change_request_results HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 334
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"change_request_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"results": [
{
"dedup_result_id": "text",
"change_request_id": "text",
"candidate_change_request_id": "text",
"match_score": 1,
"field_matches": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"created_at": "text"
}
]
}
}
}Get schema definition for a specific section of a register.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-data/get_schema_definition_for_register_section HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 348
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text",
"section_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"section_register_id": "text",
"register_id": "text",
"section_id": "text",
"tab_id": "text",
"section_mnemonic": "text",
"section_description": "text",
"documents_required": false,
"no_of_verifications_required": 0,
"auto_approval": false,
"cr_auto_approve_for_bene_portal": false,
"cr_auto_approve_for_agent_portal": false,
"cr_auto_approve_for_staff_portal": false,
"cr_auto_approve_for_partner": false,
"cr_auto_approve_for_intake_form": false,
"is_list": false,
"register_purpose": "text",
"is_primary_section": false,
"section_order": 0,
"section_ui_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"register_relation": "SELF"
}
}
}Get records from a section register that are linked to a subject record. Traverses the master-child hierarchy between registers. If subject_register_id == section_register_id, returns the subject record directly.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-data/get_section_records HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 392
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"subject_register_id": "text",
"subject_record_id": "text",
"section_register_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
]
}
}Get all records for a tab, grouped by unique section_register_id. Multiple sections with the same section_register_id are deduplicated.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-data/get_tab_records HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 379
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"subject_register_id": "text",
"subject_record_id": "text",
"tab_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"section_register_id": "text",
"is_list": false,
"records": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
]
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-data/get_register_summary_data HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 308
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"register_id": "text",
"register_mnemonic": "text",
"register_subject": "text",
"has_image": true,
"register_icon": "text",
"total_record_count": 1
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-data/search_in_a_register HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 328
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"internal_record_id": "text",
"functional_record_id": "text",
"link_internal_record_id": "text",
"foundational_id": "text",
"link_foundational_id": "text",
"record_name": "text",
"record_image_url": "text",
"created_by": "text",
"created_at": "text",
"last_approved_at": "text",
"last_approved_by": "text",
"display_fields": [
{
"field_name": "text",
"value": "text",
"order": 1
}
]
}
]
}
}Get allowed parent records for a child section. Given a subject record and a child section register, finds the parent register of that section and returns all records from the parent register that are linked to the subject.
Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /register-data/get_allowed_parents_for_a_child_section HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 393
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"subject_register_id": "text",
"internal_record_id": "text",
"section_register_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"register_mnemonic": "text",
"master_register_id": "text",
"allowed_parents": [
{
"internal_record_id": "text",
"record_name": "text"
}
]
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /change-requests/create_change_request HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 674
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text",
"register_mnemonic": "text",
"tab_id": "text",
"section_id": "text",
"section_register_id": "text",
"internal_record_id": "text",
"change_payload": [
{
"internal_record_id": "text",
"edit_action": "ADD",
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"documents": [
{
"document_label": "text",
"document_store_id": "text"
}
],
"change_request_id": "text",
"rejection_reason": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"register_id": "text",
"tab_id": "text",
"section_id": "text",
"section_register_id": "text",
"no_of_verifications_required": 0,
"no_of_verifications_done": 0,
"approval_status": "PENDING",
"change_request_id": "text",
"internal_record_id": "text",
"created_by": "text",
"created_at": "text",
"approved_by": "text",
"approved_at": "text"
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /change-requests/approve_change_request HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 674
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text",
"register_mnemonic": "text",
"tab_id": "text",
"section_id": "text",
"section_register_id": "text",
"internal_record_id": "text",
"change_payload": [
{
"internal_record_id": "text",
"edit_action": "ADD",
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"documents": [
{
"document_label": "text",
"document_store_id": "text"
}
],
"change_request_id": "text",
"rejection_reason": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"register_id": "text",
"tab_id": "text",
"section_id": "text",
"section_register_id": "text",
"no_of_verifications_required": 0,
"no_of_verifications_done": 0,
"approval_status": "PENDING",
"change_request_id": "text",
"internal_record_id": "text",
"created_by": "text",
"created_at": "text",
"approved_by": "text",
"approved_at": "text"
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /change-requests/reject_change_request HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 674
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"register_id": "text",
"register_mnemonic": "text",
"tab_id": "text",
"section_id": "text",
"section_register_id": "text",
"internal_record_id": "text",
"change_payload": [
{
"internal_record_id": "text",
"edit_action": "ADD",
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"documents": [
{
"document_label": "text",
"document_store_id": "text"
}
],
"change_request_id": "text",
"rejection_reason": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"register_id": "text",
"tab_id": "text",
"section_id": "text",
"section_register_id": "text",
"no_of_verifications_required": 0,
"no_of_verifications_done": 0,
"approval_status": "PENDING",
"change_request_id": "text",
"internal_record_id": "text",
"created_by": "text",
"created_at": "text",
"approved_by": "text",
"approved_at": "text"
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /change-requests/get_number_of_pending_change_requests HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 379
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"subject_register_id": "text",
"subject_record_id": "text",
"tab_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"subject_register_id": "text",
"subject_record_id": "text",
"tab_id": "text",
"number_of_pending_change_requests": 1
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /change-requests/get_number_of_cross_register_changes HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 363
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"subject_register_id": "text",
"subject_record_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"subject_register_id": "text",
"subject_record_id": "text",
"number_of_cross_register_changes": 1
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /change-requests/get_cross_register_changes HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 363
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"subject_register_id": "text",
"subject_record_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"cross_register_changes": [
{
"change_request_id": "text",
"register_id": "text",
"register_mnemonic": "text",
"tab_id": "text",
"tab_label": "text",
"internal_record_id": "text",
"section_id": "text",
"source_partner_id": "text",
"created_by": "text",
"created_at": "text",
"no_of_verifications_required": 1,
"no_of_verifications_done": 1,
"approval_status": "text",
"approved_by": "text",
"approved_at": "text"
}
]
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /change-requests/get_change_requests HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 379
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"subject_register_id": "text",
"subject_record_id": "text",
"tab_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"change_request_id": "text",
"register_id": "text",
"tab_id": "text",
"internal_record_id": "text",
"section_id": "text",
"section_mnemonic": "text",
"source_partner_id": "text",
"created_by": "text",
"created_at": "text",
"no_of_verifications_required": 1,
"no_of_verifications_done": 1,
"approval_status": "text",
"approved_by": "text",
"approved_at": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /change-requests/get_change_request HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 334
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"change_request_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"change_request_id": "text",
"register_id": "text",
"tab_id": "text",
"internal_record_id": "text",
"section_id": "text",
"section_mnemonic": "text",
"is_list": false,
"section_register_id": "text",
"source_partner_id": "text",
"created_by": "text",
"created_at": "text",
"no_of_verifications_required": 1,
"no_of_verifications_done": 1,
"approval_status": "text",
"approved_by": "text",
"approved_at": "text",
"change_payload": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"current_register_data": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /change-requests/get_verifications_for_change_request HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 357
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"change_request_id": "text",
"submission_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"verifications": [
{
"verification_id": "text",
"register_id": "text",
"internal_record_id": "text",
"section_id": "text",
"change_request_id": "text",
"submission_id": "text",
"verified_by": "text",
"verified_at": "text",
"verification_observations": "text",
"is_approved": true
}
]
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /change-requests/add_verification_for_change_request HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 411
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"submission_id": "text",
"change_request_id": "text",
"verification_observations": "text",
"is_approved": true
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"verification_id": "text",
"register_id": "text",
"internal_record_id": "text",
"section_id": "text",
"change_request_id": "text",
"submission_id": "text",
"verified_by": "text",
"verified_at": "text",
"verification_observations": "text",
"is_approved": true
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /change-requests/get_register_change_request_summary_data HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 308
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"total_count": 1,
"approved_count": 1,
"pending_count": 1
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /change-requests/search_in_change_request HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 308
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"change_request_id": "text",
"register_id": "text",
"register_mnemonic": "text",
"tab_id": "text",
"tab_label": "text",
"internal_record_id": "text",
"section_id": "text",
"section_mnemonic": "text",
"source_partner_id": "text",
"created_by": "text",
"created_at": "text",
"no_of_verifications_required": 1,
"no_of_verifications_done": 1,
"approval_status": "text",
"approved_by": "text",
"approved_at": "text",
"change_payload": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /ingestion-config/get_all_incoming_key_paths HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 535
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"key_path_id": "text",
"keypath_for_message_id": "text",
"data_model_id": "text",
"key_path_for_sender": "text",
"key_path_for_signature": "text",
"key_path_for_signature_payload": "text",
"is_list": false,
"keypath_for_list_elements": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"key_path_id": "text",
"data_model_id": "text",
"data_model_mnemonic": "text",
"is_list": true
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /ingestion-config/delete_incoming_key_path HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 328
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"key_path_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"key_path_id": "text",
"data_model_id": "text",
"keypath_for_message_id": "text",
"key_path_for_sender": "text",
"key_path_for_signature": "text",
"key_path_for_signature_payload": "text",
"is_list": true,
"keypath_for_list_elements": "text"
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /ingestion-config/create_semantic_pattern HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 534
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"semantic_pattern_id": "text",
"data_model_id": "text",
"register_id": "text",
"section_id": "text",
"pattern_for_register": "text",
"pattern_for_section": "text",
"key_path_for_business_payload": "text",
"raw_payload_enricher_class": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"semantic_pattern_id": "text",
"data_model_id": "text",
"register_id": "text",
"section_id": "text",
"pattern_for_register": "text",
"pattern_for_section": "text",
"key_path_for_business_payload": "text",
"raw_payload_enricher_class": "text"
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /ingestion-config/get_semantic_pattern HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 534
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"semantic_pattern_id": "text",
"data_model_id": "text",
"register_id": "text",
"section_id": "text",
"pattern_for_register": "text",
"pattern_for_section": "text",
"key_path_for_business_payload": "text",
"raw_payload_enricher_class": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"semantic_pattern_id": "text",
"data_model_id": "text",
"register_id": "text",
"section_id": "text",
"pattern_for_register": "text",
"pattern_for_section": "text",
"key_path_for_business_payload": "text",
"raw_payload_enricher_class": "text"
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /ingestion-config/update_semantic_pattern HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 441
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"pattern_for_register": "text",
"pattern_for_section": "text",
"key_path_for_business_payload": "text",
"raw_payload_enricher_class": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"semantic_pattern_id": "text",
"data_model_id": "text",
"register_id": "text",
"section_id": "text",
"pattern_for_register": "text",
"pattern_for_section": "text",
"key_path_for_business_payload": "text",
"raw_payload_enricher_class": "text"
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /ingestion-config/create_template HTTP/1.1
Content-Type: multipart/form-data
Accept: */*
Content-Length: 442
{
"template_request": {
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"template_id": "text",
"register_id": "text",
"data_model_id": "text",
"template_file_id": "text"
}
}
},
"template_file": "text"
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"template_id": "text",
"register_id": "text",
"data_model_id": "text",
"template_file_id": "text"
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /ingestion-config/get_template HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 398
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"template_id": "text",
"register_id": "text",
"data_model_id": "text",
"template_file_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"template_id": "text",
"register_id": "text",
"data_model_id": "text",
"template_file_id": "text"
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /ingestion-config/update_template HTTP/1.1
Content-Type: multipart/form-data
Accept: */*
Content-Length: 405
{
"template_update_request": {
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"template_id": "text",
"template_file_id": "text"
}
}
},
"template_file": "text"
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"template_id": "text",
"register_id": "text",
"data_model_id": "text",
"template_file_id": "text"
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /ingestion-config/delete_template HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 354
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"template_id": "text",
"template_file_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"template_id": "text",
"register_id": "text",
"data_model_id": "text",
"template_file_id": "text"
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /ingestion-config/create_subscription_activity_log HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 575
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"is_unsubscribe": false,
"description": "text",
"partner_id": "text",
"subscription_url": "text",
"registry_callback_url": "text",
"header": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"payload": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"response": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"subscription_activity_log_id": "text",
"is_unsubscribe": true,
"description": "text",
"partner_id": "text",
"subscription_url": "text",
"registry_callback_url": "text",
"header": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"payload": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"response": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"date_time": "2026-01-01T00:00:00.000Z"
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /ingestion-config/get_subscription_activity_logs_by_partner HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 575
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"is_unsubscribe": false,
"description": "text",
"partner_id": "text",
"subscription_url": "text",
"registry_callback_url": "text",
"header": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"payload": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"response": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"subscription_activity_log_id": "text",
"is_unsubscribe": true,
"description": "text",
"partner_id": "text",
"subscription_url": "text",
"registry_callback_url": "text",
"header": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"payload": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"response": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"date_time": "2026-01-01T00:00:00.000Z"
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /ingestion-data/get_ingestion_summary_data HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 308
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": null,
"response_body": {
"no_of_messages": 1,
"no_of_partners": 1,
"no_of_data_models": 1
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /ingestion-data/search_in_ingestion_data HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 308
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"ingest_id": "text",
"partner_id": "text",
"partner_mnemonic": "text",
"data_model_id": "text",
"data_model_mnemonic": "text",
"ingest_message_id": "text",
"ingest_correlation_id": "text",
"receipt_date_time": "2026-01-01T00:00:00.000Z",
"classification_status": "text",
"classification_date_time": "2026-01-01T00:00:00.000Z",
"classification_number_of_attempts": 1,
"classification_latest_error_code": "text",
"change_request_id": "text",
"register_id": "text",
"register_mnemonic": "text",
"section_id": "text",
"section_mnemonic": "text",
"semantic_pattern_id": "text",
"template_id": "text",
"template_file_id": "text",
"transformation_status": "text",
"transformation_date_time": "2026-01-01T00:00:00.000Z",
"transformation_number_of_attempts": 1,
"transformation_latest_error_code": "text",
"ingestion_status": "text",
"ingestion_date_time": "2026-01-01T00:00:00.000Z",
"ingestion_number_of_attempts": 1,
"ingestion_latest_error_code": "text"
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /ingestion-data/get_raw_payload HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 326
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"ingest_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"raw_data_json": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"enriched_data_json": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"transformed_data_json": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /ingestion-data/get_enriched_and_transformed_payload HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 326
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"ingest_id": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": {
"raw_data_json": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"enriched_data_json": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"transformed_data_json": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /outgestion-config/create_topic HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 412
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"topic_id": "text",
"register_id": "text",
"data_model_id": "text",
"websub_topic": "text",
"description": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"topic_id": "text",
"register_id": "text",
"data_model_id": "text",
"websub_topic": "text",
"description": "text",
"is_active": true,
"websub_publish_status": "text",
"websub_publish_datetime": "2026-01-01T00:00:00.000Z",
"websub_publish_number_of_attempts": 1,
"websub_publish_latest_error_message": "text"
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /outgestion-config/get_all_topics HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 412
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"topic_id": "text",
"register_id": "text",
"data_model_id": "text",
"websub_topic": "text",
"description": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"topic_id": "text",
"register_id": "text",
"data_model_id": "text",
"websub_topic": "text",
"description": "text",
"is_active": true,
"websub_publish_status": "text",
"websub_publish_datetime": "2026-01-01T00:00:00.000Z",
"websub_publish_number_of_attempts": 1,
"websub_publish_latest_error_message": "text"
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /outgestion-config/get_topic HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 412
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"topic_id": "text",
"register_id": "text",
"data_model_id": "text",
"websub_topic": "text",
"description": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"topic_id": "text",
"register_id": "text",
"data_model_id": "text",
"websub_topic": "text",
"description": "text",
"is_active": true,
"websub_publish_status": "text",
"websub_publish_datetime": "2026-01-01T00:00:00.000Z",
"websub_publish_number_of_attempts": 1,
"websub_publish_latest_error_message": "text"
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /outgestion-config/update_topic HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 390
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"topic_id": "text",
"register_id": "text",
"data_model_id": "text",
"description": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"topic_id": "text",
"register_id": "text",
"data_model_id": "text",
"websub_topic": "text",
"description": "text",
"is_active": true,
"websub_publish_status": "text",
"websub_publish_datetime": "2026-01-01T00:00:00.000Z",
"websub_publish_number_of_attempts": 1,
"websub_publish_latest_error_message": "text"
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /outgestion-config/toggle_topicstatus HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 390
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
"request_timestamp": "2026-01-01T00:00:00.000Z",
"instance_id": "text"
},
"request_body": {
"pagination_request": {
"current_page": 1,
"page_size": 1,
"sort_by": "text",
"filter_by": null,
"search_text": "text"
},
"request_payload": {
"topic_id": "text",
"register_id": "text",
"data_model_id": "text",
"description": "text"
}
}
}{
"response_header": {
"request_id": "text",
"response_status": "ERROR",
"response_error_code": "text",
"response_error_message": "text",
"response_timestamp": "2026-01-01T00:00:00.000Z"
},
"response_body": {
"pagination_response": {
"number_of_items": 1,
"number_of_pages": 1
},
"response_payload": [
{
"topic_id": "text",
"register_id": "text",
"data_model_id": "text",
"websub_topic": "text",
"description": "text",
"is_active": true,
"websub_publish_status": "text",
"websub_publish_datetime": "2026-01-01T00:00:00.000Z",
"websub_publish_number_of_attempts": 1,
"websub_publish_latest_error_message": "text"
}
]
}
}Successful Response
Unauthorized
Forbidden
Not Found
Validation Error
Internal Server Error
POST /outgestion-config/re_register_topic HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 390
{
"request_header": {
"sender_app_mnemonic": "text",
"sender_app_url": "text",
"request_id": "text",
[...]
